v1.0

post

/ec-site-svc/rest/v1.0/organizations/validateFields

Validates organization fields present in input payload and returns the corresponding flag as either true or false.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : ORGANIZATION_FIELDS_TITLE
Type: object
Title: ORGANIZATION_FIELDS_TITLE
ORGANIZATION_FIELDS_DESC
Show Source
Nested Schema : Field
Type: object
Title: Field
Contains field details.
Show Source
  • Title: Field Name
    Field name. The acceptable values are: TENANTID, STUDYID, COUNTRY, SITEID, INVID, INVNAM, USUBJID, SCRNID, SUBJID, VISITNUM, VISIT, UNSCHED, SVSTDTC, DOMAIN, LAB ID, LAB NAME, REPEATNUMBER, SREPEATID, SREPEATNUMBER, ENTERED BY, ENTERED DATE, LAST CHANGED BY, LAST CHANGED DATE etc.
    Example: TENANTID
  • Title: Field Value
    Value reported for the field.
    Example: TENANT123
  • Title: Value Exists
    Indicates whether the value already exists.
    Example: true
Example:
[
    {
        "id":"C36A3197FDEE433FB5547EE83DE99E4B"
    }
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

400 Response

Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Examples

Back to Top